# A complex test Markokov model of four states
#
#      0  -  1  -  2  -  3
#

# Declarations
Parameters(alpha_0 = 1.0,alpha_1 = 2.0,
           beta_0  = 3.0,beta_1  = 4.0,
           gamma_0 = 5.0,a       = 6.0)

Variables("V", "dyadic_Ca")

Q10(1.8, 37)

# Rate functions
alpha = exp(-(20-V/(R*T))/10)
beta  = exp(-(V-35)/3)
gamma = gamma_0*dyadic_Ca

voltage_gate = load_submodel("VoltageGate")
ca_bind1, ca_bind2, ca_bind3, ca_bind4  = \
          load_submodel("Ca_bind", 4)

Rates[0,1] = 2*alpha_0*alpha + 2
Rates[1,2] = alpha_1*alpha
Rates[1,0] = beta_0*beta
Rates[2,1] = 2*beta_1*beta
Rates[3,2] = gamma*(ca_bind1.value + ca_bind2.value + \
                    ca_bind3.value + ca_bind4.value)
Rates[2,3] = a**2

# State values
StateValues[3] = voltage_gate.value
