#include <iostream>
#include <vector>

#include <gillstep.h>
#include "Complex.h"

using namespace gillstep;
using gillstep::uint;

int main()
{
  GillespieStepper gillstepper;

  Complex mm(gillstepper);
  Complex mm2(gillstepper);

  mm.receive("V")(-5.0);
  mm.receive("dyadic_Ca")(1.0);

  MarkovModel& sm = mm.submodel(0);
  sm.change_state(0);
  std::cout << "new state: " << mm.state() << " changed state, value changed? " << mm.change_state(0) << std::endl;
  std::cout << "new state: " << mm.state() << " changed state, value changed? " << mm.change_state(1) << std::endl;
  std::cout << "new state: " << mm.state() << " changed state, value changed? " << mm.change_state(1) << std::endl;

  uint trans = 0;

  std::cout << "Value: " << sm.value() << std::endl;
  std::cout << "Value, sub: " << mm2.value() << std::endl;
  std::cout << "state: " << mm.state() << std::endl;
  std::cout << "Value: " << mm.value() << std::endl;
  std::cout << "T_ref: " << mm.get_parameter("T_ref") << std::endl;
  std::cout << "alpha_0: " << mm.get_parameter("alpha_0") << std::endl;
  std::cout << "gamma_0: " << mm.get_parameter("gamma_0") << std::endl;
  std::cout << "rate " << mm.state() << trans << ": " << mm.evaluate_rate(trans, 1.0) << std::endl;
  trans = 1;
  std::cout << "new state: " << mm.state() << " changed state, value changed? " << mm.change_state(0) << std::endl;
  std::cout << "rate " << mm.state() << trans << ": " << mm.evaluate_rate(trans, 1.0) << std::endl;
  mm.set_parameter("a", 10);
  std::cout << "rate " << mm.state() << trans << ": " << mm.evaluate_rate(trans, 1.0) << std::endl;

  std::cout << "T:" << get_T()-T_abs() << std::endl;
  set_T(22);
  std::cout << "T:" << get_T()-T_abs() << std::endl;
  mm.update_temp_scale();
  std::cout << "rate " << mm.state() << trans << ": " << mm.evaluate_rate(trans, 1.0) << std::endl;
  
  std::cout << "Num MarkovModels: " << gillstepper.num_markov_models() << std::endl;

  return 0;
}
