// Copyright (C) 2010 Johan Hake
// Licensed under the GNU LGPL Version 3.0
//
// First added:  2010-08-23
// Last changed: 2010-09-02

#ifndef __DISCRETEVALUESTEPPER_H
#define __DISCRETEVALUESTEPPER_H

#include "common.h"
#include <boost/signal.hpp>

namespace gillstep
{

  // Send a value to any discrete receivers
  class DiscreteValueStepper
  {
  public:
    DiscreteValueStepper(){}

    // Send a value to all receivers
    void send(double value)
    {
      _signal(value);
    }
  
    // Connect a slot
    void connect(ValueReceiver slot){_signal.connect(slot);}
  
  private:
    
    boost::signal<void (double)> _signal;

  };

}

#endif
