// Copyright (C) 2010 Johan Hake
// Licensed under the GNU LGPL Version 3.0
//
// First added:  2010-03-09
// Last changed: 2010-06-01

#include <stdexcept>

#include "Temperature.h"

using namespace gillstep;

//-----------------------------------------------------------------------------
double Temperature::_check_temperature(double T)
{
  /// Set min and max values FIXME:might want to parameterize these
  const double T_min = 10.;
  const double T_max = 50.;
  const double cut_off = 100.;

  // FIXME: Add proper logging
  if (!(T_min <= T && T <= T_max))
    throw std::runtime_error("Temperature not within bounds");
  
  if (T < cut_off)
    T += T_abs();

  return T;
}
//-----------------------------------------------------------------------------

namespace gillstep
{
  
  // Instantiate static variables
  double Temperature::_temperature = 310.0;
  const double Temperature::_T_abs = 273.0;

  /// Instantiate temperature
  Temperature temperature;

}
