// Copyright (C) 2010 Johan Hake
// Licensed under the GNU LGPL Version 3.0
//
// First added:  2010-01-19
// Last changed: 2010-06-01

#ifndef __TEMPERATURE_H
#define __TEMPERATURE_H

namespace gillstep
{
  /// A small wrapper class for a global temperature variable
  class Temperature
  {
  public:

    /// Constructor
    Temperature(){}
    
    /// Return the temperature
    inline double get_T() const {return Temperature::_temperature;}
    
    /// Set temperature
    inline void set_T(double T) {Temperature::_temperature = _check_temperature(T);}

    /// Get absolute T
    inline double T_abs() const {return Temperature::_T_abs;}

  private:
    
    /// Check correct values of temperature
    double _check_temperature(double T);

    /// The temperature
    static double _temperature;

    static const double _T_abs;
    
  };
  
}

#endif
