// An autogenerated docstringfile


// File: index.xml

// File: classgillstep_1_1DiscreteValueReceiver.xml
%feature("docstring") gillstep::DiscreteValueReceiver "";

%feature("docstring")
gillstep::DiscreteValueReceiver::DiscreteValueReceiver "";

%feature("docstring")  gillstep::DiscreteValueReceiver::_receive "";

%feature("docstring")  gillstep::DiscreteValueReceiver::get_times "";

%feature("docstring")  gillstep::DiscreteValueReceiver::get_num_open "";


// File: classgillstep_1_1DiscreteValueStepper.xml
%feature("docstring") gillstep::DiscreteValueStepper "";

%feature("docstring")
gillstep::DiscreteValueStepper::DiscreteValueStepper "";

%feature("docstring")  gillstep::DiscreteValueStepper::send "";

%feature("docstring")  gillstep::DiscreteValueStepper::connect "";


// File: classgillstep_1_1GillespieStepper.xml
%feature("docstring") gillstep::GillespieStepper "

The class to hand the evolvments of the discrete Markov models.

C++ includes: GillespieStepper.h ";

%feature("docstring")  gillstep::GillespieStepper::GillespieStepper "

Create a time stepper using a random seed. ";

%feature("docstring")  gillstep::GillespieStepper::~GillespieStepper "

Create a time stepper using handed seed.

Create a time stepper using a random seed ";

%feature("docstring")  gillstep::GillespieStepper::reset "

Reset the GillespieStepper based on the registered Markov models. ";

%feature("docstring")  gillstep::GillespieStepper::update_rates "

Update rates and cumsum rates. ";

%feature("docstring")  gillstep::GillespieStepper::step_dt "

Step the registered Markov models with the passed time step, and
changed values of stepped Markov models will be sent ";

%feature("docstring")
gillstep::GillespieStepper::step_dt_unless_transition "

Step the registered Markov models with the passed time step returns
offset of possible channel transition, do not send any changed Markov
model value. ";

%feature("docstring")
gillstep::GillespieStepper::step_until_next_transition "

Step the registered Markov models until next channel transition
returns the time it took, the new value of the stepped Markov model
will be sent if send_value is true ";

%feature("docstring")  gillstep::GillespieStepper::step_markov_model "

Make a random transition of a registered Markov model, return true if
the transition was a channel transition FIXME: Make this private? ";

%feature("docstring")  gillstep::GillespieStepper::random_transition "

Return a random transition given a vector of cumsum of rates. ";

%feature("docstring")  gillstep::GillespieStepper::set_deterministic "

Use deterministic instead of random number. ";

%feature("docstring")  gillstep::GillespieStepper::send_stepped_value
"

Send value of stepped Markov model, if no stepped Markov model exist,
return false, true otherwise FIXME: Make this private? ";

%feature("docstring")  gillstep::GillespieStepper::time "

Return the local time of the GillespieStepper. ";

%feature("docstring")
gillstep::GillespieStepper::set_max_fractional_rate_change "

Set max fractional change in rate when externals are changing. ";

%feature("docstring")
gillstep::GillespieStepper::get_max_fractional_rate_change "

Get max fractional change in rate when externals are changing. ";

%feature("docstring")  gillstep::GillespieStepper::sum_rates "

Return the sum of rates (if rates has changed due to changed Markov
model parameters or external values, update_rates need to be called to
get correct value) ";

%feature("docstring")  gillstep::GillespieStepper::next_transition "

Return the time to the next transition. ";

%feature("docstring")  gillstep::GillespieStepper::num_markov_models "

Return the number of registered Markov models. ";

%feature("docstring")  gillstep::GillespieStepper::sum "

Return the sum of the passed vector. ";

%feature("docstring")  gillstep::GillespieStepper::cumsum "

Return the cumsum of passed values. ";

%feature("docstring")
gillstep::GillespieStepper::new_dimless_exit_time "

Compute a new dimensionless exit time. ";

%feature("docstring")  gillstep::GillespieStepper::get_states "

Return the state vector for the passed Markov model. ";

%feature("docstring")  gillstep::GillespieStepper::get_state_times "

Return the time vector correspondning to the state vector for the
passed Markov model ";

%feature("docstring")  gillstep::GillespieStepper::get_values "

Return the state vector for the passed Markov model. ";

%feature("docstring")  gillstep::GillespieStepper::get_value_times "

Return the time vector correspondning to the state vector for the
passed Markov model ";


// File: classgillstep_1_1MarkovModel.xml
%feature("docstring") gillstep::MarkovModel "

The base class of generated Markov Models.

C++ includes: MarkovModel.h ";

%feature("docstring")  gillstep::MarkovModel::MarkovModel "

Default constructor. ";

%feature("docstring")  gillstep::MarkovModel::~MarkovModel "

Destructor. ";

%feature("docstring")  gillstep::MarkovModel::reset "

Initialize (reset) the Markov model using the present external values.
";

%feature("docstring")  gillstep::MarkovModel::name "

Return the name of the Markov model. ";

%feature("docstring")  gillstep::MarkovModel::max_transitions "

Returns the maximal transitions from a state. ";

%feature("docstring")  gillstep::MarkovModel::value "

Return the 'value' of the Markov model or its parent model if this is
a SubModel. ";

%feature("docstring")  gillstep::MarkovModel::substep_size "

Return the size of the substep. 1.0 if no substep is needed. ";

%feature("docstring")  gillstep::MarkovModel::evaluate_rate "

Evaluate rate function corresponding to passed transition. ";

%feature("docstring")  gillstep::MarkovModel::evaluate_rate "

Evaluate rate function corresponding to passed state and transition.
";

%feature("docstring")  gillstep::MarkovModel::evaluate_substep_rate "

Evaluate rate function corresponding to passed transition and a give
substep ";

%feature("docstring")  gillstep::MarkovModel::change_state "

Change the state to the given transition, return true if value is
changed. ";

%feature("docstring")  gillstep::MarkovModel::get_parameter "

Get parameter. ";

%feature("docstring")  gillstep::MarkovModel::set_parameter "

Set parameter. ";

%feature("docstring")  gillstep::MarkovModel::get_parameter_names "

Get parameter names. ";

%feature("docstring")  gillstep::MarkovModel::num_states "

Return the number of states. ";

%feature("docstring")  gillstep::MarkovModel::num_submodels "

Return the number of sub models. ";

%feature("docstring")  gillstep::MarkovModel::update_temp_scale "

Update the temperature scale factor. ";

%feature("docstring")  gillstep::MarkovModel::submodel "

Return the i:th sub model. ";

%feature("docstring")  gillstep::MarkovModel::submodel "

Return the i:th sub model (const version). ";

%feature("docstring")  gillstep::MarkovModel::is_submodel "

Return true if Markov model is a sub model. ";

%feature("docstring")  gillstep::MarkovModel::get_parent "

Return reference to parent, if not parent return reference to self. ";

%feature("docstring")  gillstep::MarkovModel::state "

Return the state. ";

%feature("docstring")  gillstep::MarkovModel::connect "

Connect slot to the signal. ";

%feature("docstring")  gillstep::MarkovModel::send "

Send the value of the Markov model to any registered slots. ";

%feature("docstring")  gillstep::MarkovModel::variable "

Return the value of a variable. ";

%feature("docstring")  gillstep::MarkovModel::_unsafe_variable "

Return the value of the ith variable (fast unsafe and hidden
function). ";

%feature("docstring")
gillstep::MarkovModel::_unsafe_discrete_variable "

Return the value of the ith discrete variable (fast unsafe and hidden
function). ";

%feature("docstring")  gillstep::MarkovModel::receive "

Return a ValueReceiver used to receive a particular variable. ";


// File: namespacegillstep.xml
%feature("docstring")  gillstep::get_T "

Standalone functions for getting the temperature. ";

%feature("docstring")  gillstep::set_T "

Standalone functions for setting the temperature. ";

%feature("docstring")  gillstep::T_abs "

Standalone functions for getting absolute T. ";


// File: common_8h.xml


// File: DiscreteValueReceiver_8h.xml


// File: DiscreteValueStepper_8h.xml


// File: GillespieStepper_8h.xml


// File: MarkovModel_8h.xml


// File: temperature_8h.xml

