#!/usr/bin/env python
#
# Generate list of include files for SWIG interface file.
#
__author__ = "Johan Hake (hake.dev@gmail.com)"
__date__ = "2010-06-01 -- 2010-06-01"
__copyright__ = "Copyright (C) 2010 " + __author__
__license__  = "GNU LGPL Version 3.0 or later"

import os
import re

# List of headers to exclude (add more here)
excludes = ["MersenneTwister.h"]

# Name of SWIG interface file to be generated
interface_file = "gillstep_interface.i"

# Extract h-files from gillstep.h
main_header = open(os.path.join(os.path.pardir, "gillstep.h"))
headers = [f for f in re.findall("#include <gillstep/(.*)>", main_header.read())
         if f not in excludes]
main_header.close()

docstring_headers = [os.path.join(os.path.pardir,f) for f in headers]

# Generate list of header files
print "Generating file %s" % interface_file
f = open(interface_file, "w")
f.write("// Generated list of include files for PyGILLSTEP\n")
for header in headers:
    f.write("%%include \"gillstep/%s\"\n" % header)
f.close()

# Added for docstring extraction
from generate_docstrings import DocstringGenerator

g = DocstringGenerator(header_files = docstring_headers,
                       swig_directory = os.path.curdir,
                       docstring_file_base = "")
g.generate_doxygen_documentation()
g.generate_interface_file_from_index()
g.clean()
