/* -*- C -*- */
// Copyright (C) 2010 Johan Hake
// Licensed under the GNU LGPL Version 2.1.
//
// First added:  2010-08-23
// Last changed: 2010-11-10
//
// ===========================================================================
// SWIG directives for GillStep
//
// The directives in this file are applied _after_ the header files has been 
// loaded.
// ===========================================================================

//-----------------------------------------------------------------------------
// Expand the proxy class of ValueReceiver
//-----------------------------------------------------------------------------
%extend gillstep::ValueReceiver
{
  void __call__(double value){
    self->operator()(value);
  }
}

//-----------------------------------------------------------------------------
// Expand the MarkovModel class for easy acces of submodels
//-----------------------------------------------------------------------------
%extend gillstep::MarkovModel
{
  
 %pythoncode%{

    def submodels(self, name=None):
        """Return a list of the included submodels\
     
    If name is provided, only submodels with that name are returned.
    """
        if not (name is None or isinstance(name, str)):
            raise TypeError, "expected a 'str' as name argument"
        if name:
            return [self.submodel(i) for i in xrange(self.num_submodels()) if self.submodel(i).name() == name]
        return [self.submodel(i) for i in xrange(self.num_submodels())]

    def __repr__(self):
        return "MarkovModel('%s')"%self.name()

 %}
}

