// Copyright (C) 2010 Johan Hake
// Licensed under the GNU LGPL Version 3.0
//
// First added:  2010-01-19
// Last changed: 2010-06-01

#ifndef __ACCESS_TEMPERATURE_H
#define __ACCESS_TEMPERATURE_H

#include "Temperature.h"

namespace gillstep
{
  
  /// The global temperature variable
  extern Temperature temperature;

  /// Standalone functions for getting the temperature
  inline double get_T() {return temperature.get_T();}

  /// Standalone functions for setting the temperature
  inline void set_T(double T) {temperature.set_T(T);}

  /// Standalone functions for getting absolute T
  inline double T_abs() {return temperature.T_abs();}

}

#endif
