// Copyright (C) 2010 Anders Logg.
// Licensed under the GNU LGPL Version 3.0
//
// First added:  2010-01-21
// Last changed: 2010-05-31
//
// Modified by Johan Hake, 2010
//
// Simple macro for DOLFIN unit tests (using cppunit). The macro
// GILLSTEP_TEST removes the need of repeating the same 8 lines of
// code in every single unit test.

#include <cppunit/extensions/HelperMacros.h>
#include <cppunit/TestRunner.h>
#include <cppunit/TestResult.h>
#include <cppunit/TestResultCollector.h>
#include <cppunit/CompilerOutputter.h>

#define GILLSTEP_TEST \
CppUnit::TestResult result; \
CppUnit::TestResultCollector collected_results; \
result.addListener(&collected_results); \
CppUnit::TestRunner runner; \
runner.addTest(CppUnit::TestFactoryRegistry::getRegistry().makeTest()); \
runner.run(result); \
CppUnit::CompilerOutputter outputter(&collected_results, std::cout); \
outputter.write (); \
return collected_results.wasSuccessful () ? 0 : 1;
