__author__ = "Johan Hake (hake.dev@gmail.com)"
__copyright__ = "Copyright (C) 2010 " + __author__
__date__ = "2010-01-26 -- 2010-09-01"
__license__  = "GNU LGPL Version 3.0 or later"

# Some predefined phsyical constants
Na            = 6.0221415e23
kB            = 1.3806504e-23
e             = 1.6022e-19
F             = Na * e           # Faradays constant      [C/mole]
R             = Na * kB          # Universal gas constant [J/(mole*K)]
T_ABS         = 273.15           # Absolute temperature   [deg K]

# Some usefull conversions
DECI          = .1
CENTI         = .01
MILLI         = 1.e-3
MICRO         = 1.e-6
NANO          = 1.e-9
PICO          = 1.e-12

KILO          = 1.e3
MEGA          = 1.e6
GIGA          = 1.e9
TERRA         = 1.e12

