__author__ = "Johan Hake (hake.dev@gmail.com)"
__copyright__ = "Copyright (C) 2010 " + __author__
__date__ = "2010-01-26 -- 2010-12-15"
__license__  = "GNU LGPL Version 3.0 or later"

from gillstep.modeleditor import ModelEditor
from gillstep.logger      import error

__all__ = ["runtime_namspace"]

def update_runtime_namespace(model, ns):
    "A helper function to update a namespace with Markov model specific functions"
    if not isinstance(model, ModelEditor):
        error("expected a MarkovModelEditor as 'model' input")
    if not isinstance(ns, dict):
        error("expected a dict as 'ns' input")

    ns["Rates"] = model.rates
    ns["StateValues"] = model.state_values
    ns["Parameters"] = model.set_parameters
    ns["Variables"] = model.set_variables
    ns["Q10"] = model.set_Q10
