#!/usr/bin/env python

__author__ = "Johan Hake (hake.dev@gmail.com)"
__copyright__ = "Copyright (C) 2010 " + __author__
__date__ = "2010-11-04 -- 2010-11-04"
__license__  = "GNU LGPL Version 3.0 or later"

# A script that counts the number of code lines

from gillstep.commands import get_output

all_files = get_output('bzr ls -VR').split('\n')

python_files = [f for f in all_files if "site-packages" in f and ".py" in f]

code_lines = 0
blank_lines = 0
comment_lines = 0

for f in python_files:
    for line in open(f, "r").readlines():
        if "#" in line:
            comment_lines += 1
        elif line.count(" ") == len(line)-1:
            blank_lines += 1
        else:
            code_lines+=1

print "### GillStep code statistics ###"
print "Python code"
print "-----------"
print "  Number of files:", len(python_files)
print "  Code lines:     ", code_lines
print "  Blank lines:    ", blank_lines
print "  Comment lines:  ", comment_lines

cpp_files = [f for f in all_files if (".h" in f or ".cpp" in f) and "test" not in f and "demo" not in f]

code_lines = 0
blank_lines = 0
comment_lines = 0

for f in cpp_files:
    for line in open(f, "r").readlines():
        if "//" in line:
            comment_lines += 1
        elif line.count(" ") == len(line)-1:
            blank_lines += 1
        else:
            code_lines+=1

print ""
print "C++ code"
print "--------"
print "  Number of files:", len(cpp_files)
print "  Code lines:     ", code_lines
print "  Blank lines:    ", blank_lines
print "  Comment lines:  ", comment_lines


